package com.backend.glowhouse.model;

import org.springframework.data.mongodb.core.mapping.Document;

@Document(collection = "devices")
public class Device {
    private String deviceId;
    private boolean registered;
    private String registeredUser;

    public String getDeviceId() {
        return deviceId;
    }

    public void setDeviceId(String deviceId) {
        this.deviceId = deviceId;
    }

    public boolean isRegistered() {
        return registered;
    }

    public void setRegistered(boolean registered) {
        this.registered = registered;
    }

    public String getRegisteredUser() {
        return registeredUser;
    }

    public void setRegisteredUser(String registeredUser) {
        this.registeredUser = registeredUser;
    }

    @Override
    public String toString() {
        return "Device{" +
                "deviceId='" + deviceId + '\'' +
                ", registered=" + registered +
                ", registeredUser='" + registeredUser + '\'' +
                '}';
    }
}
