package com.backend.glowhouse.model;

import com.amazonaws.services.iot.client.AWSIotDevice;
import com.amazonaws.services.iot.client.AWSIotDeviceProperty;

public class DeviceShadow extends AWSIotDevice{
    @AWSIotDeviceProperty
    private boolean light;

    @AWSIotDeviceProperty
    private boolean pump;

    @AWSIotDeviceProperty
    private float humidity;

    @AWSIotDeviceProperty
    private float temp;

    @AWSIotDeviceProperty
    private float ph;

    @AWSIotDeviceProperty
    private float waterLevel;

    public DeviceShadow(String thingName) {
        super(thingName);
    }

    public boolean isLight() {
        return light;
    }

    public void setLight(boolean light) {
        this.light = light;
    }

    public boolean isPump() {
        return pump;
    }

    public void setPump(boolean pump) {
        this.pump = pump;
    }

    public float getHumidity() {
        return humidity;
    }

    public void setHumidity(float humidity) {
        this.humidity = humidity;
    }

    public float getTemp() {
        return temp;
    }

    public void setTemp(float temp) {
        this.temp = temp;
    }

    public float getPh() {
        return ph;
    }

    public void setPh(float ph) {
        this.ph = ph;
    }

    public float getWaterLevel() {
        return waterLevel;
    }

    public void setWaterLevel(float waterLevel) {
        this.waterLevel = waterLevel;
    }
}
