package com.backend.glowhouse.model;

import org.springframework.data.annotation.Id;
import org.springframework.data.mongodb.core.mapping.Document;
import org.springframework.data.mongodb.core.mapping.Field;

import java.util.Date;

@Document(collection = "sensorData")
public class SensorData {
    @Id
    private String id;

    @Field
    private String dId;
    @Field
    private float t;
    @Field
    private float h;
    @Field
    private float ph;
    @Field
    private Date date;

    public SensorData() {}

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getdId() {
        return dId;
    }

    public void setdId(String dId) {
        this.dId = dId;
    }

    public float getT() {
        return t;
    }

    public void setT(float t) {
        this.t = t;
    }

    public float getH() {
        return h;
    }

    public void setH(float h) {
        this.h = h;
    }

    public float getPh() {
        return ph;
    }

    public void setPh(float ph) {
        this.ph = ph;
    }

    public Date getDate() {
        return date;
    }

    public void setDate(Date date) {
        this.date = date;
    }

    @Override
    public String toString() {
        final StringBuffer sb = new StringBuffer("{");
        sb.append("dId:").append(dId);
        sb.append(", date:").append(date);
        sb.append(", h:").append(h);
        sb.append(", t:").append(t);
        sb.append(", ph:").append(ph);
        sb.append("}");
        return sb.toString();
    }
}
