package com.backend.glowhouse.repository.device;

import com.backend.glowhouse.model.Device;
import org.springframework.data.mongodb.repository.MongoRepository;

import java.util.Optional;

public interface DeviceRepository extends MongoRepository<Device, String>, DeviceRepositoryCustom {

    Device findByDeviceId(String deviceId);

    Device findByRegisteredUser(String username);
}
